<!-- Note: Template derived from /src/maestro/templates/default_artefact.html in Maestro repository (https://gitlab.com/DPIPE/labautomation/maestro/). Tailwind css has been replaced by inline css as tailwind is only available upon build of Maestro. -->
<div
    style="margin-top: 0; display: grid; min-width: 100%; grid-auto-flow: row; grid-template-columns: auto 1fr; column-gap: 1rem; row-gap: 0.25rem;"
    title="Generated from {{ obj.__class__ }}.html"
>
    {%
        set included_properties = [
        "nickname",
        "seqdata_id",
        "workflow_id",
        "path",
        "owner_id",
        "batch_id",
        "dna_id",
        "priority",
        "size_at_creation",
        "md5_at_creation",
        "name",
        "given_sex"
        ]
    %}
    {% for property in included_properties %}
        {% if property in obj.properties %}
            <span>{{ property }}</span>
            <span
                style="cursor: pointer;"
				class="copyText"
                title="Click to copy"
                _="on click call toClipboard(`{{ obj.properties[property] | string }}`)"
            >
                {{ obj.properties[property] }}
            </span>
        {% endif %}
    {% endfor %}
</div>
